Subject: bug#69319: Unbootable, unfixable system

From: Josselin Poiret <[email-masked]>
Date: Fri, 23 Feb 2024 11:33:16 +0100

Hi Nathan,

Nathan Dehnel <[email-masked]> writes:

> This config results in grub rescue "unknown filesystem <uuid of my
> btrfs rootfs>" when I try to boot it. I have verified that all the
> device uuids are correct, and the bootloader, mapped-devices, and
> file-systems sections are identical in form to my other system which
> boots fine. i can mount the boot partition and unlock and mount the
> root partition manually, so they're not broken. I have no idea why
> it's not working. My guess is that reconfigure is broken inside a
> chroot somehow.

I see you're using LUKS.  Is it LUKS1 or LUKS2?  LUKS2 unfortunately
doesn't work at present, because we're still on Grub 2.06.

Best,
-- 
Josselin Poiret